## ginkgocadx 2.6.0.0

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
SUBDIRS(src)
