=== src/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

PROJECT(BUILD_ALL)

SET(GINKGO_VERSION     2 CACHE STRING "Version number")
SET(GINKGO_SUB_VERSION 6 CACHE STRING "Subversion number")
SET(GINKGO_SUB_RELEASE 0 CACHE STRING "Release number")
SET(GINKGO_BUILD 0)
EXECUTE_PROCESS(
	COMMAND /bin/bash -c "grep BUILD ${CMAKE_SOURCE_DIR}/cadxcore/main/licencia.h | sed 's/[^\\:]*:[ \\t]*\\([^ \\t]*\\).*/\\1/' | xargs echo -n"
	OUTPUT_VARIABLE GINKGO_BUILD
)
SET(GINKGO_CODENAME    beta CACHE STRING "Codename tag")

SET( USE_PATCHED_LIBS        FALSE CACHE BOOL "Use patched libraries")
SET( BUILD_VISUALIZATION_EXT TRUE CACHE BOOL "Build Visualization extention")
SET( BUILD_OPHTALMOLOGY_EXT  FALSE CACHE BOOL "Build Ophtalmology extension")
SET( BUILD_DERMATHOLOGY_EXT  FALSE CACHE BOOL "Build Dermathology extension")
SET( BUILD_VIDEO_EXT         FALSE CACHE BOOL "Build Video extension")
SET( BUILD_LIGHT_VISUALIZATOR_EXT TRUE CACHE BOOL "Build Light Visualizator extension")
SET( BUILD_OCT_EXT           FALSE CACHE BOOL "Build OCT extension")
SET( BUILD_SCANNER_EXT		  FALSE CACHE BOOL "Build Scanner extension")
SET( BUILD_FOO_EXT           FALSE CACHE BOOL "Build Foo extension")

SET( USE_SYSTEM_SQLITE       TRUE CACHE BOOL "Build with system SQLite library")
SET( USE_CUSTOM_WX           FALSE CACHE BOOL "Build with custom WX library")
SET( USE_CUSTOM_VTK          FALSE CACHE BOOL "Build with custom VTK library")
SET( USE_CUSTOM_ITK          FALSE CACHE BOOL "Build with custom ITK library")
SET( USE_CUSTOM_DCMTK        FALSE CACHE BOOL "Build with custom DCMTK library")

SET( CUSTOM_PACKAGE          FALSE CACHE BOOL "Custom package")
SET( FORCE_SSE               FALSE CACHE BOOL "Force SSE Flag")
SET( INTERNET_DIST           TRUE CACHE BOOL "Public distribution")

SET( CMAKE_OSX_ARCHITECTURES "i386" CACHE STRING "MacOSX Architectures" FORCE)

IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE Release CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)


SET( GINKGO_VERSION_STR "${GINKGO_VERSION}.${GINKGO_SUB_VERSION}.${GINKGO_SUB_RELEASE}.${GINKGO_BUILD}")

#############################################################################################

SET(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/CMake)
INCLUDE(SysDefs)

#############################################################################################

IF(LINUX)
	FIND_PACKAGE(GTK2 REQUIRED)
ENDIF()

IF(USE_PATCHED_LIBS) 
	MESSAGE("Using patched libs")
ENDIF()

IF(NOT USE_CUSTOM_WX)
	MESSAGE("Using system wxWidgets")
	FIND_PACKAGE(wxWidgets 2.8.11 COMPONENTS core base gl net xml aui adv richtext xrc REQUIRED)
ELSE()
	MESSAGE("Using custom wxWidgets")
	SET_CUSTOM_wxWidgets_PACKAGE()
ENDIF()

IF(NOT USE_CUSTOM_VTK)
	MESSAGE("Using system VTK")
	FIND_PACKAGE(VTK 5.6.1 REQUIRED)
ELSE()
	MESSAGE("Using custom VTK")
	SET_CUSTOM_VTK_PACKAGE()
ENDIF()

IF(NOT USE_CUSTOM_ITK)
	MESSAGE("Using system ITK")
	FIND_PACKAGE(ITK REQUIRED)
ELSE()
	MESSAGE("Using custom ITK")
	SET_CUSTOM_ITK_PACKAGE()
ENDIF()

IF(NOT USE_CUSTOM_DCMTK)
	MESSAGE("Using system DCMTK")
	FIND_PACKAGE(DCMTK 3.6.0 EXACT REQUIRED)
ELSE()
	MESSAGE("Using custom DCMTK")
	SET_CUSTOM_DCMTK_PACKAGE()
ENDIF()

IF(NOT USE_SYSTEM_SQLITE)
	MESSAGE("Using builtin SQLite")
ELSE()
	MESSAGE("Using system SQLite")
	#FIND_PACKAGE(sqlite REQUIRED)
	
ENDIF()

#############################################################################################

IF(MACOS)
	SET(GINKGO_PROJECT "Ginkgo CADx" CACHE PARENT_SCOPE "")
ELSEIF(LINUX AND CUSTOM_PACKAGE)
	SET(GINKGO_PROJECT "ginkgocadx-${ARCH}" CACHE PARENT_SCOPE "")
ELSE()
	SET(GINKGO_PROJECT "ginkgocadx" CACHE PARENT_SCOPE "")
ENDIF()

SET(GINKGO_PLUGINS "" CACHE PARENT_SCOPE "")

SUBDIRS( cadxcore ginkgocadx  )

IF (BUILD_OPHTALMOLOGY_EXT OR BUILD_DERMATHOLOGY_EXT OR BUILD_VIDEO_EXT OR BUILD_OCT_EXT OR BUILD_SCANNER_EXT)
	INCLUDE(PrvExtDeps)
ENDIF()

IF(BUILD_FOO_EXT)
	SUBDIRS(fooextension)
ENDIF()

IF(BUILD_OPHTALMOLOGY_EXT)
	SUBDIRS(oftalmologia)
ENDIF()

IF(BUILD_OCT_EXT)
	SUBDIRS(octextension)
ENDIF()

IF(BUILD_DERMATHOLOGY_EXT)
	SUBDIRS(dermatologia)
ENDIF()

IF(BUILD_VIDEO_EXT)
	SUBDIRS(gnkvideo)
ENDIF()

IF(BUILD_VISUALIZATION_EXT)
	SUBDIRS(visualizator)
ENDIF()

IF(BUILD_LIGHT_VISUALIZATOR_EXT)
	SUBDIRS(lightvisualizator)
ENDIF()

IF(BUILD_SCANNER_EXT)
	SUBDIRS(scannerextension)
ENDIF()

ADD_CUSTOM_TARGET(${PROJECT_NAME} echo)

MESSAGE("Building ${GINKGO_PROJECT} ${GINKGO_VERSION_STR}.${GINKGO_CODENAME}")

ADD_DEPENDENCIES(${PROJECT_NAME} "${GINKGO_PROJECT}")

IF(BUILD_FOO_EXT)
	ADD_DEPENDENCIES(${PROJECT_NAME} fooextension)
	LIST(APPEND GINKGO_PLUGINS "fooextension")
ENDIF()

IF(BUILD_VISUALIZATION_EXT)
	ADD_DEPENDENCIES(${PROJECT_NAME} visualizator)
	LIST(APPEND GINKGO_PLUGINS "visualizator")
ENDIF()

IF(BUILD_OPHTALMOLOGY_EXT)
	ADD_DEPENDENCIES(${PROJECT_NAME} oftalmologia)
	LIST(APPEND GINKGO_PLUGINS "oftalmologia")
ENDIF()

IF(BUILD_OCT_EXT)
	ADD_DEPENDENCIES(${PROJECT_NAME} octextension)
	LIST(APPEND GINKGO_PLUGINS "octextension")
ENDIF()

IF(BUILD_DERMATHOLOGY_EXT)
	ADD_DEPENDENCIES(${PROJECT_NAME} dermatologia)
	LIST(APPEND GINKGO_PLUGINS "dermatologia")
ENDIF()

IF(BUILD_VIDEO_EXT)
	ADD_DEPENDENCIES(${PROJECT_NAME} gnkvideo)
	LIST(APPEND GINKGO_PLUGINS "gnkvideo")
ENDIF()

IF(BUILD_LIGHT_VISUALIZATOR_EXT)
	ADD_DEPENDENCIES(${PROJECT_NAME} lightvisualizator)
	LIST(APPEND GINKGO_PLUGINS "lightvisualizator")
ENDIF()

IF(BUILD_SCANNER_EXT)
	ADD_DEPENDENCIES(${PROJECT_NAME} scannerextension)
	LIST(APPEND GINKGO_PLUGINS "scannerextension")
ENDIF()

IF(CUSTOM_PACKAGE)

SET( DEST "${CMAKE_CURRENT_BINARY_DIR}/dist" )
PACKAGE_RULES( "${PROJECT_NAME}" "${ARCH}" "${DEST}" )
ENDIF()
