=== debian/changelog ===
ginkgocadx (2.6.0.0-1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Link with xml2 library, needed by dcmtk, see
      http://bugs.debian.org/510120

 -- Andreas Moog <amoog@ubuntu.com>  Sat, 31 Dec 2011 16:57:34 +0100

ginkgocadx (2.6.0.0-1) unstable; urgency=low

  * New upstream version (refreshed patches)
  * debian/copyright: Added Upstream-Contact
  * debian/control: * s/libmysqlclient16/libmysqlclient-dev/ in
    Build-Deps (Thanks for the patch to Micah Gersten <micahg@ubuntu.com>)
    Closes: #652529

 -- Andreas Tille <tille@debian.org>  Sun, 18 Dec 2011 16:00:58 +0100

ginkgocadx (2.6.0.0~rc-2) unstable; urgency=low

  * removed hardcoded vtk version number - allow to link against vtk-5.8

 -- Dominique Belhachemi <domibel@debian.org>  Fri, 11 Nov 2011 21:33:50 -0500
