=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for Ginkgo CADx

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake --parallel

pkg=ginkgocadx

DEB_CMAKE_EXTRA_FLAGS += \
	-DCMAKE_BUILD_TYPE:STRING=RELEASE

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS) 

override_dh_auto_install:
	dh_auto_install
	# Hack around useless rpath definitions
	/usr/bin/chrpath -r /usr/lib/ginkgocadx debian/$(pkg)/usr/bin/$(pkg)

get-orig-source:
	uscan --verbose --force-download --repack
