## ginkgocadx 2.8.0.4602

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,14 +3,14 @@
 PROJECT(BUILD_ALL)
 
 SET(GINKGO_VERSION     2 CACHE STRING "Version number")
-SET(GINKGO_SUB_VERSION 6 CACHE STRING "Subversion number")
+SET(GINKGO_SUB_VERSION 8 CACHE STRING "Subversion number")
 SET(GINKGO_SUB_RELEASE 0 CACHE STRING "Release number")
 SET(GINKGO_BUILD 0)
 EXECUTE_PROCESS(
-	COMMAND /bin/bash -c "grep BUILD ${CMAKE_SOURCE_DIR}/cadxcore/main/licencia.h | sed 's/[^\\:]*:[ \\t]*\\([^ \\t]*\\).*/\\1/' | xargs echo -n"
+	COMMAND /bin/bash -c "grep BUILD ${CMAKE_SOURCE_DIR}/src/cadxcore/main/licencia.h | sed 's/[^\\:]*:[ \\t]*\\([^ \\t]*\\).*/\\1/' | xargs echo -n"
 	OUTPUT_VARIABLE GINKGO_BUILD
 )
-SET(GINKGO_CODENAME    beta CACHE STRING "Codename tag")
+SET(GINKGO_CODENAME    final CACHE STRING "Codename tag")
 
 SET( USE_PATCHED_LIBS        FALSE CACHE BOOL "Use patched libraries")
 SET( BUILD_VISUALIZATION_EXT TRUE CACHE BOOL "Build Visualization extention")
@@ -68,7 +68,7 @@
 
 IF(NOT USE_CUSTOM_VTK)
 	MESSAGE("Using system VTK")
-	FIND_PACKAGE(VTK 5.6.1 REQUIRED)
+	FIND_PACKAGE(VTK REQUIRED)
 ELSE()
 	MESSAGE("Using custom VTK")
 	SET_CUSTOM_VTK_PACKAGE()
