=== debian/changelog ===
ginkgocadx (2.8.0.4602-1) unstable; urgency=low

  * New upstream version (adapted patch, removed patch applied upstream)
    Closes: #657827

 -- Andreas Tille <tille@debian.org>  Sun, 29 Jan 2012 12:02:54 +0100
