=== debian/control ===
Source: ginkgocadx
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>, Thorsten Alteholz <debian@alteholz.de>, Mathieu Malaterre <mathieu.malaterre@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), cmake (>= 2.8), libgtk2.0-dev, libxml2-dev, libssl-dev, libwrap0-dev,
 libwxgtk2.8-dev (>= 2.8.10), libvtk5-dev (>= 5.6.0), libinsighttoolkit3-dev (>= 3.20.0),
 libdcmtk2-dev (>= 3.6.0), libcairo2-dev (>= 1.8.10), 
 libgdcm2-dev, libwrap0, libfftw3-dev, chrpath, libsqlite3-dev,
 libmysqlclient-dev (>= 5.1.57)
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/ginkgocadx/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/ginkgocadx/trunk/
Homepage: http://ginkgo-cadx.com/

Package: ginkgocadx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Medical Imaging Software and complete DICOM Viewer
 Ginkgo CADx provides a complete DICOM viewer solution with advanced
 capabilities and support for extensions.
 .
  * Easy and customizable interface through profiles.
  * Full featured DICOM image visualization.
  * Complete tool set (measure, markers, text, ...).
  * Multiple modalities support (Neurological, Radiological, Dermatological,
    Ophthalmological, Ultrasound, Endoscopy, ...)
  * Dicomization support from JPEG, PNG, GIF and TIFF.
  * Full EMH integration support: HL7 standard and IHE compliant workflows.
  * PACS Workstation (C-FIND, C-MOVE, C-STORE...)
  * Extensible through custom extensions.
    - Retinal image mosaic composition.
    - Automatic retinal analysis diagnostics.
    - Psoriasis automatic diagnostics.
