## ginkgocadx 2.12.0.4889

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,9 @@
 PROJECT(BUILD_ALL)
 
 SET(GINKGO_VERSION     2 CACHE STRING "Version number")
-SET(GINKGO_SUB_VERSION 8 CACHE STRING "Subversion number")
+SET(GINKGO_SUB_VERSION 12 CACHE STRING "Subversion number")
 SET(GINKGO_SUB_RELEASE 0 CACHE STRING "Release number")
-SET(GINKGO_BUILD 0)
+SET(GINKGO_BUILD 4889)
 EXECUTE_PROCESS(
 	COMMAND /bin/bash -c "grep BUILD ${CMAKE_SOURCE_DIR}/src/cadxcore/main/licencia.h | sed 's/[^\\:]*:[ \\t]*\\([^ \\t]*\\).*/\\1/' | xargs echo -n"
 	OUTPUT_VARIABLE GINKGO_BUILD
@@ -16,10 +16,8 @@
 SET( BUILD_VISUALIZATION_EXT TRUE CACHE BOOL "Build Visualization extention")
 SET( BUILD_OPHTALMOLOGY_EXT  FALSE CACHE BOOL "Build Ophtalmology extension")
 SET( BUILD_DERMATHOLOGY_EXT  FALSE CACHE BOOL "Build Dermathology extension")
-SET( BUILD_VIDEO_EXT         FALSE CACHE BOOL "Build Video extension")
+SET( BUILD_DICOMIZERPRO_EXT  FALSE CACHE BOOL "Build Dicomizer Pro extension")
 SET( BUILD_LIGHT_VISUALIZATOR_EXT TRUE CACHE BOOL "Build Light Visualizator extension")
-SET( BUILD_OCT_EXT           FALSE CACHE BOOL "Build OCT extension")
-SET( BUILD_SCANNER_EXT		  FALSE CACHE BOOL "Build Scanner extension")
 SET( BUILD_FOO_EXT           FALSE CACHE BOOL "Build Foo extension")
 
 SET( USE_SYSTEM_SQLITE       TRUE CACHE BOOL "Build with system SQLite library")
@@ -112,28 +110,20 @@
 
 SUBDIRS( cadxcore ginkgocadx  )
 
-IF (BUILD_OPHTALMOLOGY_EXT OR BUILD_DERMATHOLOGY_EXT OR BUILD_VIDEO_EXT OR BUILD_OCT_EXT OR BUILD_SCANNER_EXT)
+IF (BUILD_OPHTALMOLOGY_EXT OR BUILD_DERMATHOLOGY_EXT OR BUILD_PRO_EXT)
 	INCLUDE(PrvExtDeps)
-ENDIF()
-
-IF(BUILD_FOO_EXT)
-	SUBDIRS(fooextension)
 ENDIF()
 
 IF(BUILD_OPHTALMOLOGY_EXT)
 	SUBDIRS(oftalmologia)
 ENDIF()
 
-IF(BUILD_OCT_EXT)
-	SUBDIRS(octextension)
-ENDIF()
-
 IF(BUILD_DERMATHOLOGY_EXT)
 	SUBDIRS(dermatologia)
 ENDIF()
 
-IF(BUILD_VIDEO_EXT)
-	SUBDIRS(gnkvideo)
+IF(BUILD_DICOMIZERPRO_EXT)
+	SUBDIRS(dicomizerpro)
 ENDIF()
 
 IF(BUILD_VISUALIZATION_EXT)
@@ -144,8 +134,8 @@
 	SUBDIRS(lightvisualizator)
 ENDIF()
 
-IF(BUILD_SCANNER_EXT)
-	SUBDIRS(scannerextension)
+IF(BUILD_FOO_EXT)
+	SUBDIRS(fooextension)
 ENDIF()
 
 ADD_CUSTOM_TARGET(${PROJECT_NAME} echo)
@@ -169,29 +159,19 @@
 	LIST(APPEND GINKGO_PLUGINS "oftalmologia")
 ENDIF()
 
-IF(BUILD_OCT_EXT)
-	ADD_DEPENDENCIES(${PROJECT_NAME} octextension)
-	LIST(APPEND GINKGO_PLUGINS "octextension")
-ENDIF()
-
 IF(BUILD_DERMATHOLOGY_EXT)
 	ADD_DEPENDENCIES(${PROJECT_NAME} dermatologia)
 	LIST(APPEND GINKGO_PLUGINS "dermatologia")
 ENDIF()
 
-IF(BUILD_VIDEO_EXT)
-	ADD_DEPENDENCIES(${PROJECT_NAME} gnkvideo)
-	LIST(APPEND GINKGO_PLUGINS "gnkvideo")
+IF(BUILD_DICOMIZERPRO_EXT)
+	ADD_DEPENDENCIES(${PROJECT_NAME} dicomizerpro)
+	LIST(APPEND GINKGO_PLUGINS "dicomizerpro")
 ENDIF()
 
 IF(BUILD_LIGHT_VISUALIZATOR_EXT)
 	ADD_DEPENDENCIES(${PROJECT_NAME} lightvisualizator)
 	LIST(APPEND GINKGO_PLUGINS "lightvisualizator")
-ENDIF()
-
-IF(BUILD_SCANNER_EXT)
-	ADD_DEPENDENCIES(${PROJECT_NAME} scannerextension)
-	LIST(APPEND GINKGO_PLUGINS "scannerextension")
 ENDIF()
 
 IF(CUSTOM_PACKAGE)
