=== src/cadxcore/CMakeLists.txt ===
--- 
+++ 
@@ -35,6 +35,7 @@
 AUX_SOURCE_DIRECTORY(main/gui/pacsupload SRCS)
 AUX_SOURCE_DIRECTORY(main/gui/paneltags SRCS)
 AUX_SOURCE_DIRECTORY(main/gui/print SRCS)
+AUX_SOURCE_DIRECTORY(main/gui/dicomprint SRCS)
 AUX_SOURCE_DIRECTORY(main/gui/progress SRCS)
 AUX_SOURCE_DIRECTORY(main/gui/startup SRCS)
 AUX_SOURCE_DIRECTORY(main/gui/tabtoolbar SRCS)
