=== src/visualizator/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ################ SOURCES ################
 
 SET(SRCS visualizator.cpp)
-AUX_SOURCE_DIRECTORY(visualizator/comandos SRCS)
+AUX_SOURCE_DIRECTORY(visualizator/commands SRCS)
 AUX_SOURCE_DIRECTORY(visualizator/controllers SRCS)
 AUX_SOURCE_DIRECTORY(visualizator/dialogos SRCS)
 AUX_SOURCE_DIRECTORY(visualizator/dialogos/importacion SRCS)
