=== debian/changelog ===
ginkgocadx (2.12.0.4889-1) unstable; urgency=low

  * New upstream version
  * debian/control: Standards-Version: 3.9.3 (no changes needed)
  * debhelper 9 (control+compat)

 -- Andreas Tille <tille@debian.org>  Sat, 19 May 2012 11:37:14 +0200
