=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>, Thorsten Alteholz <debian@alteholz.de>, Mathieu Malaterre <mathieu.malaterre@gmail.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), cmake (>= 2.8), libgtk2.0-dev, libxml2-dev, libssl-dev, libwrap0-dev,
+Build-Depends: debhelper (>= 9), cmake (>= 2.8), libgtk2.0-dev, libxml2-dev, libssl-dev, libwrap0-dev,
  libwxgtk2.8-dev (>= 2.8.10), libvtk5-dev (>= 5.6.0), libinsighttoolkit3-dev (>= 3.20.0),
  libdcmtk2-dev (>= 3.6.0), libcairo2-dev (>= 1.8.10), 
  libgdcm2-dev, libwrap0, libfftw3-dev, chrpath, libsqlite3-dev,
  libmysqlclient-dev (>= 5.1.57)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/ginkgocadx/trunk/
 Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/ginkgocadx/trunk/
 Homepage: http://ginkgo-cadx.com/
